Index: src/UIElements/Menu/TextMenu/ActionMenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/ActionMenuItem.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/ActionMenuItem.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -1,4 +1,4 @@
 /*
- * ActionMenuItem.h
+ * ActionMenuItem.hpp
  *
  *  Created on: Dec 11, 2009
@@ -6,6 +6,11 @@
  */
 
-#ifndef ACTIONMENUITEM_H_
-#define ACTIONMENUITEM_H_
+#ifndef ACTIONMENUITEM_HPP_
+#define ACTIONMENUITEM_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include <string>
@@ -33,3 +38,3 @@
 };
 
-#endif /* ACTIONMENUITEM_H_ */
+#endif /* ACTIONMENUITEM_HPP_ */
Index: src/UIElements/Menu/TextMenu/DisplayMenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/DisplayMenuItem.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/DisplayMenuItem.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef DISPLAYMENUITEM_HPP_
 #define DISPLAYMENUITEM_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <string>
Index: src/UIElements/Menu/TextMenu/MenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/MenuItem.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/MenuItem.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -1,4 +1,4 @@
 /*
- * MenuItem.h
+ * MenuItem.hpp
  *
  *  Created on: Dec 10, 2009
@@ -6,6 +6,11 @@
  */
 
-#ifndef MENUITEM_H_
-#define MENUITEM_H_
+#ifndef MENUITEM_HPP_
+#define MENUITEM_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include <string>
@@ -42,3 +47,3 @@
 };
 
-#endif /* MENUITEM_H_ */
+#endif /* MENUITEM_HPP_ */
Index: src/UIElements/Menu/TextMenu/SeparatorMenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/SeparatorMenuItem.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/SeparatorMenuItem.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -1,4 +1,4 @@
 /*
- * SeparatorMenuItem.h
+ * SeparatorMenuItem.hpp
  *
  *  Created on: Dec 11, 2009
@@ -6,6 +6,11 @@
  */
 
-#ifndef SEPARATORITEM_H_
-#define SEPARATORITEM_H_
+#ifndef SEPARATORITEM_HPP_
+#define SEPARATORITEM_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include <string>
@@ -38,3 +43,3 @@
 };
 
-#endif /* SEPARATORITEM_H_ */
+#endif /* SEPARATORITEM_HPP_ */
Index: src/UIElements/Menu/TextMenu/SubMenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/SubMenuItem.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/SubMenuItem.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -1,6 +1,18 @@
-#ifndef SUBMENUITEM_H_
-#define SUBMENUITEM_H_
+/*
+ * SubMenuItem.hpp
+ *
+ *  Created on: Dec 10, 2009
+ *      Author: crueger
+ */
+
+#ifndef SUBMENUITEM_HPP_
+#define SUBMENUITEM_HPP_
 
 #include "Menu/TextMenu/MenuItem.hpp"
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include <iosfwd>
@@ -19,3 +31,3 @@
 };
 
-#endif /* SUBMENUITEM_H_ */
+#endif /* SUBMENUITEM_HPP_ */
Index: src/UIElements/Menu/TextMenu/TextMenu.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/TextMenu.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/TextMenu.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef TEXTMENU_HPP_
 #define TEXTMENU_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <map>
Index: src/UIElements/Menu/TextMenu/TxMenu.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/TxMenu.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/TxMenu.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -1,4 +1,4 @@
 /*
- * TxMenu.h
+ * TxMenu.hpp
  *
  *  Created on: Dec 10, 2009
@@ -6,6 +6,11 @@
  */
 
-#ifndef TXMENU_H_
-#define TXMENU_H_
+#ifndef TXMENU_HPP_
+#define TXMENU_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include <list>
@@ -75,3 +80,3 @@
 };
 
-#endif /* TXMENU_H_ */
+#endif /* TXMENU_HPP_ */
Index: src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef TXMENULEAVEACTION_HPP_
 #define TXMENULEAVEACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Menu/TextMenu/TxMenu.hpp"
